require 'spec_helper'

describe BeanstalkFarmer do
  its(:logger) { should be_a_kind_of(Logger) }

  describe '.config' do
    after(:each) do
      BeanstalkFarmer::Config.port = BeanstalkFarmer::Config::DEFAULT_PORT
    end

    it 'yields a Config module' do
      described_class.config do |c|
        c.port = 3000
        c.port.should == 3000
      end
    end
  end
end
