require 'rubygems'
require 'bundler/setup'

# Must be loaded *before* the application starts
require 'simplecov'

SimpleCov.start do
  add_filter '/spec/'
end

require 'beanstalk_farmer'
require 'beanstalk-client'

Dir['./spec/support/**/*.rb'].each { |support_file| require support_file }

BeanstalkFarmer::Config.logger = Logger.new('./log/test.log')

RSpec.configure do |config|
  config.treat_symbols_as_metadata_keys_with_true_values = true
end
